Bug 114734 - x11-toolkits/qt4-gui: fails to compile on amd64
Summary: x11-toolkits/qt4-gui: fails to compile on amd64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-19 17:30 UTC by Koji Yokota
Modified: 2007-08-06 12:39 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Koji Yokota 2007-07-19 17:30:10 UTC
Build of qt4-gui-4.3.0 fails on amd64 with the following messages:

c++ -c -O2 -fno-strict-aliasing -pipe -march=athlon64 -g -fno-exceptions -D_REEN
TRANT -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -O2 -fno-s
trict-aliasing -pipe -march=athlon64 -Wall -W -fPIC -DQT_SHARED -DQT_BUILD_GUI_L
IB -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT3_SUPPORT -DQT_MOC_COMPAT
-DQT_RASTER_IMAGEENGINE -DQT_HAVE_MMX -DQT_HAVE_SSE -DQT_HAVE_SSE2 -DQT_NO_STYLE
_MAC -DQT_NO_STYLE_WINDOWSVISTA -DQT_NO_STYLE_WINDOWSXP -DQ_INTERNAL_QAPP_SRC -D
QT_NO_DEBUG -DQT_CORE_LIB -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -I/usr/local
/share/qt4/mkspecs/freebsd-g++ -I. -I../../include/QtCore -I../../include/QtCore
 -I../../include -I. -I../../include/QtGui -I/usr/local/include/freetype2 -I../3
rdparty/harfbuzz/src -Idialogs -I.moc/release-shared -I/usr/local/include -I.uic
/release-shared -I/usr/local/include -o .obj/release-shared/qstylesheetstyle.o s
tyles/qstylesheetstyle.cpp
../../include/QtCore/../../src/corelib/arch/qatomic_x86_64.h: In member function
 `virtual QRect QStyleSheetStyle::subElementRect(QStyle::SubElement, const QStyl
eOption*, const QWidget*) const':
../../include/QtCore/../../src/corelib/arch/qatomic_x86_64.h:105: error: inconsi
stent operand constraints in an `asm'
../../include/QtCore/../../src/corelib/arch/qatomic_x86_64.h:105: error: inconsi
stent operand constraints in an `asm'
*** Error code 1

Stop in /usr/ports/x11-toolkits/qt4-gui/work/qt-x11-opensource-src-4.3.0/src/gui
.
*** Error code 1

Stop in /usr/ports/x11-toolkits/qt4-gui.
*** Error code 1

How-To-Repeat:         make on an amd64 box
        dependent ports such as qt4-corelib are up-to-date
Comment 1 Edwin Groothuis freebsd_committer 2007-07-19 17:30:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer
Comment 2 Michael Nottebrock freebsd_committer 2007-07-19 19:58:59 UTC
State Changed
From-To: open->feedback

Feedback requested for proposed patch. 


Comment 3 Michael Nottebrock freebsd_committer 2007-07-19 19:58:59 UTC
Class Changed
From-To: update->sw-bug
Comment 4 Michael Nottebrock freebsd_committer 2007-07-20 10:10:09 UTC
Please download this patch:
http://people.freebsd.org/~lofi/patch-qt4-gui.txt

Apply it to the qt4-gui port:

# cd /usr/ports/x11-toolkits/qt4-gui
# patch < /path/to/patch-qt4-gui.txt

Then try recompiling the port:

# make clean && make

... and let me know if it works for you.
Comment 5 Pav Lucistnik freebsd_committer 2007-07-21 13:12:39 UTC
Yes, this patch works for me. Please commit.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

What is the airspeed velocity of an unladen swallow?
Comment 6 dfilter service freebsd_committer 2007-07-21 14:46:42 UTC
lofi        2007-07-21 13:46:37 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/qt4-gui Makefile 
  Log:
  Fix build on amd64.
  
  PR: ports/114734
  
  Revision  Changes    Path
  1.10      +5 -1      ports/x11-toolkits/qt4-gui/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Michael Nottebrock freebsd_committer 2007-07-21 14:46:51 UTC
State Changed
From-To: feedback->closed

Fixed, thanks for reporting!
Comment 8 Koji Yokota 2007-07-21 19:12:37 UTC
It worked, thanks!

But some other ports such as devel/qt4-designer (I don't confirm other
ports yet) seem to require the same fix, too.
Comment 9 Michael Nottebrock freebsd_committer 2007-07-22 07:40:43 UTC
Koji Yokota schrieb:
> It worked, thanks!
>
> But some other ports such as devel/qt4-designer (I don't confirm other
> ports yet) seem to require the same fix, too.
>   
Please let me know about other qt4 ports that fail in the same way (you
can add followups to the bug report) and I'll try and patch them - I
currently do not have access to an amd64 installation, so I cannot find
the broken ports myself.

Cheers,
-- 

   ,_,   | Michael Nottebrock               | lofi@freebsd.org
 (/^ ^\) | FreeBSD - The Power to Serve     | http://www.freebsd.org
   \u/   | K Desktop Environment on FreeBSD | http://freebsd.kde.org
Comment 10 Michael Nottebrock freebsd_committer 2007-07-22 07:42:32 UTC
State Changed
From-To: closed->feedback

It looks like there might be more breakage.
Comment 11 Michael Nottebrock freebsd_committer 2007-08-06 12:38:53 UTC
State Changed
From-To: feedback->closed

Believed to be fixed for good now. 

Thanks for reporting!